# Function cif::pdb::reconstruct_pdbx(file&)

- Defined in File pdb.hpp

## Function Documentation

bool cif::pdb::reconstruct_pdbx(file &pdbx_file)

  Reconstruct all missing categories for an assumed PDBx file.

  Some people believe that simply dumping some atom records is enough.

  This version uses the audit_conform information and falls back to using mmcif_pdbx.dic if not specified.

  Parameters:

    pdbx_file – The cif::file that hopefully contains some valid data

  Returns:

    Returns true if the resulting file is valid